### Function

# Gtk Windowlist_toplevels

#### Declaration [src]

    GList*
    gtk_window_list_toplevels (
      void
    )

#### Description [src]

Returns a list of all existing toplevel windows.

The widgets in the list are not individually referenced. If you want to iterate through the list and perform actions involving callbacks that might destroy the widgets, you must call `g_list_foreach (result, (GFunc)g_object_ref, NULL)` first, and then unref all the widgets afterwards.

#### Return value

Type: A list of `GtkWidget*`

List of toplevel widgets.

The caller of the function takes ownership of the data container, but not the data inside it.